Retrieve a Lead

Read a specific Lead.

Request

GET https://api.comeet.co/leads/{uid}

Request path parameters:

NameTypeOptionalDescription
uidstringRequiredUID of the lead requested.

Request query parameters:

NameTypeOptionalDescription
includeArray of stringsOptionalWhich optional fields to include in the response. See the Lead schema for details.

Request headers:

Add the header IDENTIFIER-TYPE: REAL_ID to request a lead object using the lead ID as seen in the lead's URL in Recruit instead of the UID that is used by the API.

Response

{
  "uid": "00.BBB",
  "position_uid": "11.22",
  "time_created": "2024-06-01T09:00:00Z",
  "source_contact": {
    "full_name": "John Recruiter",
    "email": "[email protected]",
    "phone": "+1-555-0100"
  },
  "outreach_status": "Not Contacted",
  "status": "In progress"
}
{
  "status": 401,
  "message": "You are trying to access a lead that was removed since it was a duplicate of another lead",
  "error": "duplicate_lead"
}